package com.yida.data.job.task;

import com.yida.data.device.feign.consume.RemoteConsumeOrderService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * 消费订单模块相关定时任务
 *
 * @author ZYJ
 * @date 2023/4/13
 */
@Component
@AllArgsConstructor
public class ConsumeTask {

    private final RemoteConsumeOrderService remoteConsumeOrderService;

    /**
     * 更新超时订单状态
     */
    public void updateOrderStatus() {
        remoteConsumeOrderService.updateOrderStatus();
    }

    /**
     * 更新退款订单状态
     */
    public void updateRefundStatus() {
        remoteConsumeOrderService.updateRefundStatus();
    }
}
